Bug 141195 - Missing update announcement
Summary: Missing update announcement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 141256
TreeView+ depends on / blocked
 
Reported: 2004-11-29 20:34 UTC by Bernd Bartmann
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-04-11 21:50:51 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2004-11-29 20:34:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The update announcement is missing on fedora-announce list.


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.34

How reproducible:
Always

Steps to Reproduce:
1. look for an update announcement
2.
3.
    

Additional info:

Comment 1 Daniel Walsh 2004-12-02 20:00:19 UTC
Ok, I blew it on this one, but just sent out an announcement on
selinux-policy-targeted-1.17.30-2.39.

Dan

Comment 2 Bernd Bartmann 2004-12-03 08:28:30 UTC
Thanks Daniel. This also updated cleanly for me. No new *.rpmnew files.

But the new selinux-policy-strict 1.19.10-2 still has this problem.

Comment 3 Daniel Walsh 2004-12-03 15:03:15 UTC
Not sure what you mean by still has this problem.

Dan

Comment 4 Bernd Bartmann 2004-12-03 15:13:42 UTC
Yeah, I should have opened a new bug on this. What I mean is that the
new selinux-policy-strict-1.19.10-2 rpm has the same problem that you
seem to have fixed in the selinux-policy-targeted-1.17.30-2.39 update.

selinux-policy-strict-1.19.10-2 creates two *.rpmnew files during the
update:
file_contexts
policy.18

So it requires manual action for the user to get the policy activated. 

Comment 5 Daniel Walsh 2004-12-03 16:02:08 UTC
The funny thing is the 10-2 has the fix and the 2.39 does not.  I
think you are seeing the problem, because of a previous install.  The
fix will only work on a fresh install or an install where the RPMNEW
files were moved over the the policy.18/file_context files.  Once the
files differ from the installed version, you will always get an RPMNEW
file.  The sources update should reload the policy though.

Dan

Comment 6 Bernd Bartmann 2004-12-10 17:18:55 UTC
Dan, today I did fresh full install of FC3 and applied all currently
available updates including:

selinux-policy-strict-1.19.10-2.noarch.rpm
selinux-policy-strict-sources-1.19.10-2.noarch.rpm
selinux-policy-targeted-1.17.30-2.39.noarch.rpm
selinux-policy-targeted-sources-1.17.30-2.39.noarch.rpm

Again I got *.rpmnew from the strict and targeted update.

Comment 7 Daniel Walsh 2004-12-10 17:46:16 UTC
Yes this is because the full install on FC3 installs an older version
of selinux-policy-targeted-sources which will modify the policy.18 and
file_context file.  So  any package you install afterwards will see
that they are modified. If you move back the original policy.18.rpmnew
and file_context.new files and install.  Then everything will work fine.

So until FC4, this will be a problem.


Note You need to log in before you can comment on or make changes to this bug.